TakenAt: 2022-12-21T01:19:42Z
TakenAtLocal: 2022-12-21T09:19:42Z
TakenSrc: meta
UID: pt67rfk9wvohbasc
Type: image
Title: Shell / Tabuk / 2022
TimeZone: Asia/Manila
PlaceSrc: meta
Altitude: 181
Lat: 17.42315277777778
Lng: 121.44276388888889
Year: 2022
Month: 12
Day: 21
ISO: 50
Exposure: 1/120
FNumber: 1.8
FocalLength: 28
Quality: 4
Details:
  Keywords: brown, cagayan, kalinga, philippines, provincial, road, shell, tabuk
  Software: "16.2"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T04:35:44Z
UpdatedAt: 2025-11-24T08:51:19Z
